#!/usr/bin/env python
################################################################################
#
#       This file is part of the Python Mixture Package 
#
#       file:    setup.py
#       author: Ivan Gesteira Costa Filho
#
#       Copyright (C) 2005-20011 Ivan Costa, Alexander Schliep
#   
#       Contact: igcf@cin.ufpe.br
#
#       This library is free software; you can redistribute it and/or
#       modify it under the terms of the GNU Library General Public
#       License as published by the Free Software Foundation; either
#       version 2 of the License, or (at your option) any later version.
#
#       This library is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#       Library General Public License for more details.
#
#       You should have received a copy of the GNU Library General Public
#       License along with this library; if not, write to the Free
#       Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
#
################################################################################
from distutils.core import setup, Extension,DistutilsExecError


setup(name="GQL",
      version="1.1",
      url ="http://www.ghmm.org/gql",
      description="Python Distribution Utilities",
      license='LGPL',
      author="Ivan G Costa Filho",
      author_email="igcf@cin.ufpe.br",

        py_modules = ['GQL','GQLApp','GQLCluster','GQLClusterApp','GQLComponentClustering','GQLEvaluation','GQLGOStatInterface','GQLGui','GQLIcons','GQLMixture','GQLMixturePar','GQLMotif','GQLQuery','GQLQueryEditor','GQLUtil','GQLValidation','GQLViterbi','ClientForm','EditObjectAttributesDialog','InitialModels','Plotting','Plotting','PyclusterInterface','ViterbiDecomposition','PPI/PPI','GO/Annotation','GO/GODag','GO/Gene','GO/Term','GO/Comparirson','GO/__init__','PPI/__init__']
        )
# EOF: setup.py
